dbXML API

## org.dbxml.core.corba.db
Class _DocumentSetStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.dbxml.core.corba.db._DocumentSetStub

All Implemented Interfaces:
  DocumentSet, DocumentSetOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object, java.io.Serializable, ServantManagement, ServantManagementOperations

public class _DocumentSetStub
extends org.omg.CORBA.portable.ObjectImpl
implements DocumentSet

Generated from IDL definition of interface "DocumentSet"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`static java.lang.Class` `_opsClass`

Constructor Summary
`_DocumentSetStub()`

Method Summary
`java.lang.String[]` `_ids()`
`EncodedBuffer` `getNextDocument(long stamp)`
`boolean` `hasMoreDocuments()`
`void` `remove()`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### _opsClass

    public static final java.lang.Class _opsClass

Constructor Detail

### _DocumentSetStub

    public _DocumentSetStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

### getNextDocument

    public EncodedBuffer getNextDocument(long stamp)
                                  throws APIException

  Specified by:
    `getNextDocument` in interface `DocumentSetOperations`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ServantManagementOperations`

### hasMoreDocuments

    public boolean hasMoreDocuments()
                             throws APIException

  Specified by:
    `hasMoreDocuments` in interface `DocumentSetOperations`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved